import { Manager } from '@kevisual/local-app-manager/manager';
import { AssistantConfig } from '@/module/assistant/index.ts';
import path from 'node:path';

export class AssistantApp extends Manager {
  config: AssistantConfig;

  constructor(config: AssistantConfig) {
    const appsPath = config.configPath?.appsDir || path.join(process.cwd(), 'apps');
    const appsConfigPath = config.configPath?.appsConfigPath;
    const configFimename = path.basename(appsConfigPath || '');
    super({
      appsPath,
      configFilename: configFimename,
    });
    this.config = config;
  }
}
